# eric4.QScintilla.Printer

Module implementing the printer functionality.

### Global Attributes

None

### Classes

Printer | Class implementing the QextScintillaPrinter with a header.

### Functions

None

## Printer

Class implementing the QextScintillaPrinter with a header.

### Derived from

QsciPrinter

### Class Attributes

None

### Class Methods

None

### Methods

Printer | Constructor
formatPage | Private method to generate a header line.

### Static Methods

None

#### Printer (Constructor)

Printer(mode = QPrinter.ScreenResolution)

Constructor

mode
  mode of the printer (QPrinter.PrinterMode)

#### Printer.formatPage

formatPage(painter, drawing, area, pagenr)

Private method to generate a header line.

painter
  the paint canvas (QPainter)
drawing
  flag indicating that something should be drawn
area
  the drawing area (QRect)
pagenr
  the page number (int)

Up